Index: projectionDesigner/trunk/projdesigner/ui_qchannelmanagerwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qchannelmanagerwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qchannelmanagerwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qchannelmanagerwidget.ui'
 **
-** Created: Wed 19. May 11:06:38 2010
+** Created: Wed 19. May 11:59:22 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qchannelwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qchannelwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qchannelwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qchannelwidget.ui'
 **
-** Created: Wed 19. May 11:06:37 2010
+** Created: Wed 19. May 11:59:21 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qclientwindow.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qclientwindow.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qclientwindow.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qclientwindow.ui'
 **
-** Created: Wed 19. May 11:06:37 2010
+** Created: Wed 19. May 11:59:22 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qdesignviewwindow.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qdesignviewwindow.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qdesignviewwindow.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qdesignviewwindow.ui'
 **
-** Created: Wed 19. May 11:06:36 2010
+** Created: Wed 19. May 11:59:21 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qpanelwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qpanelwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qpanelwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qpanelwidget.ui'
 **
-** Created: Wed 19. May 11:06:36 2010
+** Created: Wed 19. May 11:59:21 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qpreferencedialog.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qpreferencedialog.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qpreferencedialog.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qpreferencedialog.ui'
 **
-** Created: Wed 19. May 11:06:36 2010
+** Created: Wed 19. May 11:59:21 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qprojectionmatrixwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qprojectionmatrixwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qprojectionmatrixwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qprojectionmatrixwidget.ui'
 **
-** Created: Wed 19. May 11:06:35 2010
+** Created: Wed 19. May 11:59:20 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qscenewidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qscenewidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qscenewidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qscenewidget.ui'
 **
-** Created: Wed 19. May 11:06:35 2010
+** Created: Wed 19. May 11:59:20 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qscreenwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qscreenwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qscreenwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qscreenwidget.ui'
 **
-** Created: Wed 19. May 11:06:35 2010
+** Created: Wed 19. May 11:59:20 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qsetupdialog.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qsetupdialog.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qsetupdialog.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qsetupdialog.ui'
 **
-** Created: Wed 19. May 11:06:34 2010
+** Created: Wed 19. May 11:59:22 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesigner/ui_qtransformmatrixwidget.h
===================================================================
--- projectionDesigner/trunk/projdesigner/ui_qtransformmatrixwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesigner/ui_qtransformmatrixwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'qtransformmatrixwidget.ui'
 **
-** Created: Wed 19. May 11:06:34 2010
+** Created: Wed 19. May 11:59:20 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultcubemapscenewidget.h
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultcubemapscenewidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultcubemapscenewidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'defaultcubemapscenewidget.ui'
 **
-** Created: Wed 19. May 10:55:31 2010
+** Created: Wed 19. May 11:52:15 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultemptyscenewidget.h
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultemptyscenewidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultemptyscenewidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'defaultemptyscenewidget.ui'
 **
-** Created: Wed 19. May 10:55:31 2010
+** Created: Wed 19. May 11:52:15 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultmodelscenewidget.h
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultmodelscenewidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultmodelscenewidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'defaultmodelscenewidget.ui'
 **
-** Created: Wed 19. May 10:55:30 2010
+** Created: Wed 19. May 11:52:15 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultprojectorwidget.h
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultprojectorwidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultprojectorwidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'defaultprojectorwidget.ui'
 **
-** Created: Wed 19. May 10:55:31 2010
+** Created: Wed 19. May 11:52:16 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **
Index: projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultteapotscenewidget.h
===================================================================
--- projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultteapotscenewidget.h	(revision 48)
+++ projectionDesigner/trunk/projdesignerplugins/defaultplugin/ui_defaultteapotscenewidget.h	(revision 49)
@@ -2,5 +2,5 @@
 ** Form generated from reading UI file 'defaultteapotscenewidget.ui'
 **
-** Created: Wed 19. May 10:55:31 2010
+** Created: Wed 19. May 11:52:16 2010
 **      by: Qt User Interface Compiler version 4.6.2
 **