Index: osgVisual/include/core/visual_core.h
===================================================================
--- osgVisual/include/core/visual_core.h	(revision 54)
+++ osgVisual/include/core/visual_core.h	(revision 55)
@@ -130,4 +130,9 @@
 	 */ 
 	osg::ref_ptr<NodeTrackerSpaceMouse> mouseTrackerManip;
+
+	/**
+	 * Space mouse hardware driver instance
+	 */ 
+	SpaceMouse* mouse;
 #endif
 
@@ -137,8 +142,4 @@
 	osg::ref_ptr<objectMountedManipulator> objectMountedCameraManip;
 
-	/**
-	 * Space mouse hardware driver instance
-	 */ 
-	SpaceMouse* mouse;
 
 #ifdef USE_SKY_SILVERLINING
Index: osgVisual/include/extLink/manip_extLink.h
===================================================================
--- osgVisual/include/extLink/manip_extLink.h	(revision 54)
+++ osgVisual/include/extLink/manip_extLink.h	(revision 55)
@@ -29,5 +29,5 @@
  * @date  Aug 2009
  */ 
-class extLinkManipulator : public osgGA::MatrixManipulator
+class extLinkManipulator : public osgGA::CameraManipulator
 {
     public:
Index: osgVisual/include/manip_ObjectMounted/manip_objectMounted.h
===================================================================
--- osgVisual/include/manip_ObjectMounted/manip_objectMounted.h	(revision 54)
+++ osgVisual/include/manip_ObjectMounted/manip_objectMounted.h	(revision 55)
@@ -16,5 +16,5 @@
 */
 
-#include <osgGA/MatrixManipulator>
+#include <osgGA/CameraManipulator>
 
 #include <osg/Quat>
@@ -33,5 +33,5 @@
  * @date  Aug 2009
  */ 
-class objectMountedManipulator : public osgGA::MatrixManipulator
+class objectMountedManipulator : public osgGA::CameraManipulator
 {
     public:
Index: osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h
===================================================================
--- osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 54)
+++ osgVisual/include/manip_Spacemouse/manip_freeSpaceMouse.h	(revision 55)
@@ -20,5 +20,5 @@
 
 // OSG includes
-#include <osgGA/MatrixManipulator>
+#include <osgGA/CameraManipulator>
 #include <osgGA/GUIEventAdapter>
 #include <osgGA/GUIActionAdapter>
@@ -39,5 +39,5 @@
  * @date  Aug 2009
  */ 
-class FreeManipulator : public osgGA::MatrixManipulator
+class FreeManipulator : public osgGA::CameraManipulator
 {
     public:
Index: osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h
===================================================================
--- osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 54)
+++ osgVisual/include/manip_Spacemouse/manip_nodeTrackerSpaceMouse.h	(revision 55)
@@ -15,5 +15,5 @@
 */
 
-#include <osgGA/MatrixManipulator>
+#include <osgGA/OrbitManipulator>
 
 #include <osg/ObserverNodePath>
@@ -49,5 +49,5 @@
  * @date  Apr 2010
  */ 
-class NodeTrackerSpaceMouse : public osgGA::MatrixManipulator
+class NodeTrackerSpaceMouse : public osgGA::OrbitManipulator
 {
     public:
Index: osgVisual/include/object/visual_object.h
===================================================================
--- osgVisual/include/object/visual_object.h	(revision 54)
+++ osgVisual/include/object/visual_object.h	(revision 55)
@@ -27,5 +27,5 @@
 #include <osgText/Text>
 
-#include <osgGA/MatrixManipulator>
+#include <osgGA/CameraManipulator>
 
 #include <object_updater.h>
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 54)
+++ osgVisual/src/core/visual_core.cpp	(revision 55)
@@ -36,5 +36,9 @@
 	//double* test = new double[1000];
 
-	mouse = NULL;
+	#ifdef USE_SPACENAVIGATOR
+		mouse = NULL;
+	#endif
+
+	//osg::DisplaySettings::instance()->setNumOfDatabaseThreadsHint( 8 );
 }
 
Index: osgVisual/src/extLink/dataIO_extLinkDummy.cpp
===================================================================
--- osgVisual/src/extLink/dataIO_extLinkDummy.cpp	(revision 54)
+++ osgVisual/src/extLink/dataIO_extLinkDummy.cpp	(revision 55)
@@ -16,6 +16,4 @@
 
 #include "dataIO_extLinkDummy.h"
-
-#include "memoryLeakDetection.h"
 
 dataIO_extLinkDummy::dataIO_extLinkDummy(std::vector<dataIOSlot>& dataSlots_) : dataIO_extLink(dataSlots_)
Index: osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp
===================================================================
--- osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp	(revision 54)
+++ osgVisual/src/manip_Spacemouse/manip_spaceMouse.cpp	(revision 55)
@@ -37,5 +37,4 @@
 using namespace osgVisual;
 
-
 #import "progid:TDxInput.Device" no_namespace
 
Index: osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 54)
+++ osgVisual/src/sky_Silverlining/skySilverLining_skyDrawable.cpp	(revision 55)
@@ -87,56 +87,4 @@
 void skySilverLining_skyDrawable::setSceneFog(SilverLining::Atmosphere *atmosphere) const
 {    
-	//glEnable(GL_FOG);
- //   glFogi(GL_FOG_MODE, GL_EXP);
-
-	////float hazeR, hazeG, hazeB;
-	////double hazeDepth, hazeDensity;
-	////atmosphere->GetHaze(hazeR, hazeG, hazeB, hazeDepth, hazeDensity);
-
- //   //hazeDensity = 1.0 / 40000;
-	////hazeDensity = 0;
-	//float hazeDensity = 1.0 / atmosphere->GetConditions()->GetVisibility();
-
- //   // Decrease fog density with altitude, to avoid fog effects through the vacuum of space.
- //   static const double H = 8435.0; // Pressure scale height of Earth's atmosphere
- //   double isothermalEffect = exp(-(atmosphere->GetConditions()->GetLocation().GetAltitude() / H));     
- //   if (isothermalEffect <= 0) isothermalEffect = 1E-9;
- //   if (isothermalEffect > 1.0) isothermalEffect = 1.0;
- //   hazeDensity *= isothermalEffect;
-
- //   bool silverLiningHandledTheFog = false;
-
- //   if (atmosphere->GetFogEnabled())
- //   {
- //           float density, r, g, b;
- //           // Note, the fog color returned is already lit
- //           atmosphere->GetFogSettings(&density, &r, &g, &b);
-
- //           if (density > hazeDensity)
- //           {
- //                   glFogf(GL_FOG_DENSITY, density);
-
- //                   GLfloat fogColor[4] = {r, g, b, 1.0};
- //                   glFogfv(GL_FOG_COLOR, fogColor);
-
- //                   silverLiningHandledTheFog = true;
- //           }
- //   }
- //   
- //   if (!silverLiningHandledTheFog)
- //   {
- //           GLfloat fogColor[4];
- //           //atmosphere->GetHorizonColor(yaw, &fogColor[0], &fogColor[1], &fogColor[2]);	// New version of this call: SL_1.94 /** \todo transmit the yaw value of the center channel to all slaves for consistent fog color. */
-	//		atmosphere->GetHorizonColor( 0, &fogColor[0], &fogColor[1], &fogColor[2]);
- //           glFogfv(GL_FOG_COLOR, fogColor);
-
- //           glFogf(GL_FOG_DENSITY, hazeDensity);
- //   }
-
-
-
-
-
-	
 	osg::ref_ptr<osg::Fog> fog = new osg::Fog;
     fog->setMode(osg::Fog::EXP);