Index: osgVisual/include/cluster/dataIO_clusterUDP.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterUDP.h	(revision 55)
+++ osgVisual/include/cluster/dataIO_clusterUDP.h	(revision 57)
@@ -23,4 +23,6 @@
 #include <osgDB/ReaderWriter>
 #include <iostream>
+#include <winsock2.h>
+#pragma comment ( lib, "WSock32.lib" )
 
 #include "dataIO_clusterUDP_Transmission.h"
Index: osgVisual/include/core/visual_core.h
===================================================================
--- osgVisual/include/core/visual_core.h	(revision 55)
+++ osgVisual/include/core/visual_core.h	(revision 57)
@@ -86,4 +86,5 @@
 
 
+
 namespace osgVisual
 {
Index: osgVisual/include/extLink/dataIO_extLinkDummy.h
===================================================================
--- osgVisual/include/extLink/dataIO_extLinkDummy.h	(revision 55)
+++ osgVisual/include/extLink/dataIO_extLinkDummy.h	(revision 57)
@@ -18,4 +18,5 @@
 #include <dataIO_extLink.h>
 #include <osg/Notify>
+#include <vector>
 
 namespace osgVisual
@@ -33,5 +34,5 @@
 {
 public:
-	dataIO_extLinkDummy(std::vector<dataIOSlot>& dataSlots_);
+	dataIO_extLinkDummy(std::vector<dataIO_slot>& dataSlots_);
 	virtual ~dataIO_extLinkDummy(void);
 
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 55)
+++ osgVisual/src/core/visual_core.cpp	(revision 57)
@@ -422,5 +422,5 @@
 
 	// Size ermitteln.
-	stringbuf *pbuf;
+	std::stringbuf *pbuf;
 	pbuf = myOstream.rdbuf();
 	OSG_NOTIFY( osg::WARN ) << "PBUF Bytes available: " << pbuf->in_avail() << std::endl;
Index: osgVisual/src/extLink/dataIO_extLinkDummy.cpp
===================================================================
--- osgVisual/src/extLink/dataIO_extLinkDummy.cpp	(revision 55)
+++ osgVisual/src/extLink/dataIO_extLinkDummy.cpp	(revision 57)
@@ -15,7 +15,12 @@
 */
 
-#include "dataIO_extLinkDummy.h"
+#include <dataIO_extLinkDummy.h>
 
-dataIO_extLinkDummy::dataIO_extLinkDummy(std::vector<dataIOSlot>& dataSlots_) : dataIO_extLink(dataSlots_)
+#include <visual_dataIO.h>	// include in.cpp to avoid circular inclusion (visual_dataIO <-> extLinkDummy)
+
+
+using namespace osgVisual;
+
+dataIO_extLinkDummy::dataIO_extLinkDummy(std::vector<dataIO_slot>& dataSlots_) : dataIO_extLink(dataSlots_)
 {
 	OSG_NOTIFY( osg::ALWAYS ) << "extLinkDummy constructed" << std::endl;
Index: osgVisual/src/extLink/dataIO_extLinkVCL.cpp
===================================================================
--- osgVisual/src/extLink/dataIO_extLinkVCL.cpp	(revision 55)
+++ osgVisual/src/extLink/dataIO_extLinkVCL.cpp	(revision 57)
@@ -17,5 +17,5 @@
 #include <dataIO_extLinkVCL.h>
 
-#include <visual_dataIO.h>
+#include <visual_dataIO.h>	// include in.cpp to avoid circular inclusion (visual_dataIO <-> extLinkVCL)
 
 using namespace osgVisual;
Index: osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 55)
+++ osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 57)
@@ -300,5 +300,5 @@
 	updateCallback->operator ()(this, NULL);
 
-	setTime(16,00,23);
+	setTime(12,00,23);
 	setVisibility(50000);
 	//atmosphere->GetConditions()->SetFog( 0.8, 1, 1, 1);	// use this for simulation real fog.
@@ -315,6 +315,7 @@
 	//addCloudLayer( 0, 300000, 300000, 600.0, 2351.0, 0.5, NIMBOSTRATUS );
 	//addCloudLayer( 0, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
-	addCloudLayer( 1, 8000, 10000, 3000, 2000.0, 0.01, CUMULONIMBUS_CAPPILATUS );
-	//addCloudLayer( 1, 25000, 25000, 3000, 2000.0, 0.05, CUMULUS_CONGESTUS );
+	//addCloudLayer( 0, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
+	//addCloudLayer( 1, 8000, 10000, 3000, 2000.0, 0.01, CUMULONIMBUS_CAPPILATUS );
+	addCloudLayer( 1, 200000, 200000, 3000, 2000.0, 0.05, CUMULUS_CONGESTUS );
 	//addCloudLayer( 1, 500000, 500000, 15000, 2000.0, 0.6, STRATUS );
 	//cloudLayerSlots[1].cloudLayerPointer->SetPrecipitation(SilverLining::CloudLayer::RAIN, 15.0 );