Index: osgVisual/CMakeLists.txt
===================================================================
--- osgVisual/CMakeLists.txt	(revision 57)
+++ osgVisual/CMakeLists.txt	(revision 58)
@@ -43,5 +43,5 @@
 
 SET(OpenSceneGraph_MARK_AS_ADVANCED ON)
-FIND_PACKAGE(OpenSceneGraph 2.9.7 REQUIRED osgViewer OpenThreads osgDB osgTerrain osgGA osgText osgSim osgUtil)
+FIND_PACKAGE(OpenSceneGraph 2.9.8 REQUIRED osgViewer OpenThreads osgDB osgTerrain osgGA osgText osgSim osgUtil)
 FIND_PACKAGE(OpenGL REQUIRED)
 
@@ -155,5 +155,6 @@
 # Module cluster
 SET(USE_CLUSTER_UDP ON CACHE BOOL "Enable to use the UDP Implementation for the cluster interface")
-IF( USE_CLUSTER_UDP )
+SET(USE_CLUSTER_ASIO_TCP_IOSTREAM ON CACHE BOOL "Enable to use the Boost ASIO TCP iostream Implementation for the cluster interface")
+IF( USE_CLUSTER_UDP   )
 		SET(SOURCES
 			${SOURCES}
@@ -165,5 +166,24 @@
 		)
 		ADD_DEFINITIONS( "-DUSE_CLUSTER_UDP" )
-ELSE(USE_CLUSTER_UDP)
+ENDIF()
+
+IF( USE_CLUSTER_ASIO_TCP_IOSTREAM )
+		SET(SOURCES
+			${SOURCES}
+			include/cluster/dataIO_cluster.h
+			include/cluster/dataIO_clusterAsioTcpIostream.h
+			src/cluster/dataIO_clusterAsioTcpIostream.cpp
+		)
+		ADD_DEFINITIONS( "-DUSE_CLUSTER_ASIO_TCP_IOSTREAM" )
+		#SET(BOOST_ASIO_LIBRARY_RELEASE ../3rdParty_x86_x64/include/bo.lib CACHE FILEPATH "Select the release library of Boost ASIO to link against." )
+		#SET(BOOST_ASIO_LIBRARY_DEBUG ../3rdParty_x86_x64/lib\x86/adsda.lib CACHE FILEPATH "Select the debug library of Boost ASIO to link against." )
+		SET(BOOST_INCLUDE_DIR "../../3rdParty_x86_x64/include/boost-1.43.0/" CACHE PATH "Enter the path to the the include directory of Boost" )
+ELSE()
+		#UNSET(BOOST_ASIO_LIBRARY_RELEASE CACHE)
+		#UNSET(BOOST_ASIO_LIBRARY_DEBUG CACHE)
+		UNSET(BOOST_ASIO_INCLUDE_DIR CACHE)	
+ENDIF()
+
+IF(NOT USE_CLUSTER_UDP AND NOT USE_CLUSTER_ASIO_TCP_IOSTREAM)
 		SET(SOURCES
 			${SOURCES}
@@ -173,5 +193,5 @@
 		)
 		ADD_DEFINITIONS( "-DUSE_CLUSTER_DUMMY" )
-ENDIF(USE_CLUSTER_UDP)
+ENDIF()
 
 
Index: osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 58)
+++ osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 58)
@@ -0,0 +1,39 @@
+#pragma once
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
+#include "dataIO_cluster.h"
+
+namespace osgVisual
+{
+
+class dataIO_clusterAsioTcpIostream : public dataIO_cluster
+{
+public:
+	dataIO_clusterAsioTcpIostream();
+	virtual ~dataIO_clusterAsioTcpIostream(void);
+
+	virtual void init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
+	virtual void shutdown();
+	virtual bool sendTO_OBJvaluesToSlaves() ;
+	virtual bool readTO_OBJvaluesFromMaster();
+	virtual void reportAsReadyToSwap();
+	virtual bool waitForSwap();
+	virtual bool waitForAllReadyToSwap();
+	virtual bool sendSwapCommand();
+};
+
+}	// END Namespace
Index: osgVisual/include/dataIO/visual_dataIO.h
===================================================================
--- osgVisual/include/dataIO/visual_dataIO.h	(revision 57)
+++ osgVisual/include/dataIO/visual_dataIO.h	(revision 58)
@@ -23,4 +23,7 @@
 
 // Cluster einbinden
+#ifdef USE_CLUSTER_ASIO_TCP_IOSTREAM
+	#include <dataIO_clusterAsioTcpIostream.h>
+#endif
 #ifdef USE_CLUSTER_DUMMY
 	#include <dataIO_clusterDummy.h>
@@ -29,4 +32,6 @@
 	#include <dataIO_clusterUDP.h>
 #endif
+
+
 
 //ExtLink einbinden
Index: osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp	(revision 58)
+++ osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp	(revision 58)
@@ -0,0 +1,72 @@
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
+#include "..\..\include\cluster\dataIO_clusterAsioTcpIostream.h"
+
+using namespace osgVisual;
+
+dataIO_clusterAsioTcpIostream::dataIO_clusterAsioTcpIostream()
+{
+}
+
+dataIO_clusterAsioTcpIostream::~dataIO_clusterAsioTcpIostream(void)
+{
+}
+
+void dataIO_clusterAsioTcpIostream::init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
+{
+
+}
+
+void dataIO_clusterAsioTcpIostream::shutdown()
+{
+
+}
+
+bool dataIO_clusterAsioTcpIostream::sendTO_OBJvaluesToSlaves()
+{
+
+	return true;
+}
+
+bool dataIO_clusterAsioTcpIostream::readTO_OBJvaluesFromMaster()
+{
+
+	return true;
+}
+
+void dataIO_clusterAsioTcpIostream::reportAsReadyToSwap()
+{
+
+}
+
+bool dataIO_clusterAsioTcpIostream::waitForSwap()
+{
+
+	return true;
+}
+
+bool dataIO_clusterAsioTcpIostream::waitForAllReadyToSwap()
+{
+
+	return true;
+}
+
+bool dataIO_clusterAsioTcpIostream::sendSwapCommand()
+{
+
+	return true;
+}
Index: osgVisual/src/core/visual_core.cpp
===================================================================
--- osgVisual/src/core/visual_core.cpp	(revision 57)
+++ osgVisual/src/core/visual_core.cpp	(revision 58)
@@ -172,5 +172,5 @@
 	else
 	{
-        OSG_NOTIFY( osg::FATAL ) << arguments_.getApplicationName() <<"Load terrain: No data loaded" << std::endl;
+        OSG_NOTIFY( osg::FATAL ) << "Load terrain: No data loaded" << std::endl;
         return false;
     }    
Index: osgVisual/src/dataIO/visual_dataIO.cpp
===================================================================
--- osgVisual/src/dataIO/visual_dataIO.cpp	(revision 57)
+++ osgVisual/src/dataIO/visual_dataIO.cpp	(revision 58)
@@ -71,4 +71,7 @@
 		cluster = new dataIO_clusterDummy();
 	#endif
+	#ifdef USE_CLUSTER_ASIO_TCP_IOSTREAM
+		cluster = new dataIO_clusterAsioTcpIostream();
+	#endif 
 	#ifdef USE_CLUSTER_UDP
 		cluster = new dataIO_clusterUDP();
Index: osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp
===================================================================
--- osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 57)
+++ osgVisual/src/sky_Silverlining/visual_skySilverLining.cpp	(revision 58)
@@ -316,6 +316,6 @@
 	//addCloudLayer( 0, 5000000, 5000000, 600.0, 7351.0, 0.2, CIRRUS_FIBRATUS );
 	//addCloudLayer( 0, 50000, 50000, 600.0, 7351.0, 0.2, CIRROCUMULUS );
-	//addCloudLayer( 1, 8000, 10000, 3000, 2000.0, 0.01, CUMULONIMBUS_CAPPILATUS );
-	addCloudLayer( 1, 200000, 200000, 3000, 2000.0, 0.05, CUMULUS_CONGESTUS );
+	addCloudLayer( 1, 8000, 10000, 3000, 2000.0, 0.01, CUMULONIMBUS_CAPPILATUS );
+	//addCloudLayer( 1, 200000, 200000, 3000, 2000.0, 0.05, CUMULUS_CONGESTUS );
 	//addCloudLayer( 1, 500000, 500000, 15000, 2000.0, 0.6, STRATUS );
 	//cloudLayerSlots[1].cloudLayerPointer->SetPrecipitation(SilverLining::CloudLayer::RAIN, 15.0 );