Index: osgVisual/include/cluster/dataIO_cluster.h
===================================================================
--- osgVisual/include/cluster/dataIO_cluster.h	(revision 58)
+++ osgVisual/include/cluster/dataIO_cluster.h	(revision 59)
@@ -38,4 +38,9 @@
 public:
 	/**
+	 * This enum defines the three modi of the cluster engine.
+	 */ 
+	enum clustermode {MASTER, SLAVE, STANDALONE};
+
+	/**
 	 * \brief Empty constructor.
 	 * 
@@ -54,5 +59,5 @@
 	 * 
 	 */ 
-	virtual void init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ ) = 0;
+	virtual void init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ ) = 0;
 
 
@@ -109,9 +114,4 @@
 	virtual bool sendSwapCommand() = 0;
 
-	/**
-	 * This enum defines the three modi of the cluster engine.
-	 */ 
-	enum clustermode {MASTER, SLAVE, STANDALONE};
-
 
 
Index: osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 58)
+++ osgVisual/include/cluster/dataIO_clusterAsioTcpIostream.h	(revision 59)
@@ -27,5 +27,5 @@
 	virtual ~dataIO_clusterAsioTcpIostream(void);
 
-	virtual void init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
+	virtual void init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
 	virtual void shutdown();
 	virtual bool sendTO_OBJvaluesToSlaves() ;
Index: osgVisual/include/cluster/dataIO_clusterDummy.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterDummy.h	(revision 58)
+++ osgVisual/include/cluster/dataIO_clusterDummy.h	(revision 59)
@@ -38,5 +38,5 @@
 	virtual ~dataIO_clusterDummy(void);
 
-	void init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
+	void init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
 	void shutdown();
 
Index: osgVisual/include/cluster/dataIO_clusterUDP.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterUDP.h	(revision 58)
+++ osgVisual/include/cluster/dataIO_clusterUDP.h	(revision 59)
@@ -48,5 +48,5 @@
 	virtual ~dataIO_clusterUDP(void);
 
-	void init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
+	void init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ );
 	void shutdown();
 
Index: osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp	(revision 58)
+++ osgVisual/src/cluster/dataIO_clusterAsioTcpIostream.cpp	(revision 59)
@@ -21,23 +21,25 @@
 dataIO_clusterAsioTcpIostream::dataIO_clusterAsioTcpIostream()
 {
+	OSG_NOTIFY( osg::ALWAYS ) << "clusterAsioTcpIostream constructed" << std::endl;
 }
 
 dataIO_clusterAsioTcpIostream::~dataIO_clusterAsioTcpIostream(void)
 {
+	OSG_NOTIFY( osg::ALWAYS ) << "clusterAsioTcpIostream destructed" << std::endl;
 }
 
-void dataIO_clusterAsioTcpIostream::init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
+void dataIO_clusterAsioTcpIostream::init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
 {
-
+	OSG_NOTIFY( osg::ALWAYS ) << "clusterAsioTcpIostream init()" << std::endl;
 }
 
 void dataIO_clusterAsioTcpIostream::shutdown()
 {
-
+	OSG_NOTIFY( osg::ALWAYS ) << "clusterAsioTcpIostream shutdown()" << std::endl;
 }
 
 bool dataIO_clusterAsioTcpIostream::sendTO_OBJvaluesToSlaves()
 {
-
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream sendTO_OBJvaluesToSlaves()" << std::endl;
 	return true;
 }
@@ -45,4 +47,5 @@
 bool dataIO_clusterAsioTcpIostream::readTO_OBJvaluesFromMaster()
 {
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream readTO_OBJvaluesFromMaster()" << std::endl;
 
 	return true;
@@ -51,10 +54,10 @@
 void dataIO_clusterAsioTcpIostream::reportAsReadyToSwap()
 {
-
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream reportAsReadyToSwap()" << std::endl;
 }
 
 bool dataIO_clusterAsioTcpIostream::waitForSwap()
 {
-
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream waitForSwap()" << std::endl;
 	return true;
 }
@@ -62,5 +65,5 @@
 bool dataIO_clusterAsioTcpIostream::waitForAllReadyToSwap()
 {
-
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream waitForAllReadyToSwap()" << std::endl;
 	return true;
 }
@@ -68,5 +71,5 @@
 bool dataIO_clusterAsioTcpIostream::sendSwapCommand()
 {
-
+	OSG_NOTIFY( osg::INFO ) << "clusterAsioTcpIostream sendSwapCommand()" << std::endl;
 	return true;
 }
Index: osgVisual/src/cluster/dataIO_clusterDummy.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterDummy.cpp	(revision 58)
+++ osgVisual/src/cluster/dataIO_clusterDummy.cpp	(revision 59)
@@ -17,5 +17,5 @@
 #include "dataIO_clusterDummy.h"
 
-#include "memoryLeakDetection.h"
+using namespace osgVisual;
 
 dataIO_clusterDummy::dataIO_clusterDummy()
@@ -29,5 +29,5 @@
 }
 
-void dataIO_clusterDummy::init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
+void dataIO_clusterDummy::init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
 {
 	sendContainer = sendContainer_;
Index: osgVisual/src/cluster/dataIO_clusterUDP.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterUDP.cpp	(revision 58)
+++ osgVisual/src/cluster/dataIO_clusterUDP.cpp	(revision 59)
@@ -34,5 +34,5 @@
 }
 
-void dataIO_clusterUDP::init( osg::ArgumentParser& arguments_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
+void dataIO_clusterUDP::init( osg::ArgumentParser& arguments_, osgVisual::dataIO_cluster::clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
 {
 	// set Variables
Index: osgVisual/src/dataIO/visual_dataIO.cpp
===================================================================
--- osgVisual/src/dataIO/visual_dataIO.cpp	(revision 58)
+++ osgVisual/src/dataIO/visual_dataIO.cpp	(revision 59)
@@ -77,5 +77,5 @@
 		cluster = new dataIO_clusterUDP();
 	#endif
-	cluster->init(arguments_, slotContainer, true, false);
+	cluster->init(arguments_, clusterMode, slotContainer, true, false);
 
 	// Create extLink.