Index: osgVisual/src/cluster/dataIO_clusterENet.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 65)
+++ osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 66)
@@ -31,6 +31,10 @@
 void dataIO_clusterENet::init( osg::ArgumentParser& arguments_, clustermode clusterMode_, osgVisual::dataIO_transportContainer* sendContainer_, bool compressionEnabled_, bool asAscii_ )
 {
+	OSG_NOTIFY( osg::ALWAYS ) << "clusterENet init();" << std::endl;
+	
 	sendContainer = sendContainer_;
-	OSG_NOTIFY( osg::ALWAYS ) << "clusterENet init();" << std::endl;
+	
+	// create ENet implementation object.
+	enet_impl = new osgVisual::dataIO_clusterENet_implementation();
 }
 
Index: osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 65)
+++ osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 66)
@@ -1,7 +1,9 @@
 #include "dataIO_clusterENet_implementation.h"
 
-int ENet_implementation::activeENetInstances = 0;
-
-ENet_implementation::ENet_implementation()
+using namespace osgVisual;
+
+int dataIO_clusterENet_implementation::activeENetInstances = 0;
+
+dataIO_clusterENet_implementation::dataIO_clusterENet_implementation()
 {
 	std::cout << "Instantiated server class# "<< activeENetInstances << std::endl;
@@ -21,5 +23,5 @@
 }
 
-ENet_implementation::~ENet_implementation()
+dataIO_clusterENet_implementation::~dataIO_clusterENet_implementation()
 {
 	// Delete Host Object
@@ -35,10 +37,10 @@
 }
 
-bool ENet_implementation::init(ENet_implementation::role role_, unsigned short port_, int maxClients_, int maxChannels_, int maxInBandwidth_, int maxOutBandwidth_)
+bool dataIO_clusterENet_implementation::init(dataIO_clusterENet_implementation::role role_, unsigned short port_, int maxClients_, int maxChannels_, int maxInBandwidth_, int maxOutBandwidth_)
 {
 	port = port_;
 	currentRole = role_;
 
-	if(currentRole == ENet_implementation::SERVER)
+	if(currentRole == dataIO_clusterENet_implementation::SERVER)
 	{
 		/* Bind the server to the default localhost.     */
@@ -62,5 +64,5 @@
 	}	// IF SERVER END
 
-	if(currentRole == ENet_implementation::CLIENT)
+	if(currentRole == dataIO_clusterENet_implementation::CLIENT)
 	{
 		 host = enet_host_create (NULL /* create a client host */,
@@ -81,5 +83,5 @@
 }
 
-void ENet_implementation::processEvents(int timeout_ms_)
+void dataIO_clusterENet_implementation::processEvents(int timeout_ms_)
 {
 	if(!serverInitialized)
@@ -117,15 +119,15 @@
 }
 
-void ENet_implementation::sendPacket( ENetPacket* packet_, enet_uint8 channelID_, unsigned int peerID_, bool autoFlush_ )
+void dataIO_clusterENet_implementation::sendPacket( ENetPacket* packet_, enet_uint8 channelID_, unsigned int peerID_, bool autoFlush_ )
 {
 	// are connected peers available?
 	if( peerList.size() == 0 )
 	{
-		std::cout << "ENet_implementation::sendPacket() - ERROR: No connected peer available!" << std::endl;
+		std::cout << "dataIO_clusterENet_implementation::sendPacket() - ERROR: No connected peer available!" << std::endl;
 		return;
 	}
 
 	// Client
-	if(currentRole == ENet_implementation::CLIENT)
+	if(currentRole == dataIO_clusterENet_implementation::CLIENT)
 	{
 		enet_peer_send (peerList[0], channelID_, packet_);
@@ -133,10 +135,10 @@
 
 	// Server
-	if(currentRole == ENet_implementation::SERVER)
+	if(currentRole == dataIO_clusterENet_implementation::SERVER)
 	{
 		if(peerID_ < peerList.size())
 			enet_peer_send (peerList[peerID_], channelID_, packet_);
 		else
-			std::cout << "ENet_implementation::sendPacket() - ERROR: Peer #"<<peerID_<<" is not available, only peers 0-"<<(peerList.size()-1)<<" are connected!" << std::endl;
+			std::cout << "dataIO_clusterENet_implementation::sendPacket() - ERROR: Peer #"<<peerID_<<" is not available, only peers 0-"<<(peerList.size()-1)<<" are connected!" << std::endl;
 	}
 
@@ -145,15 +147,15 @@
 }
 
-void ENet_implementation::sendPacket( ENetPacket* packet_, enet_uint8 channelID_, std::string peerName_, bool autoFlush_ )
+void dataIO_clusterENet_implementation::sendPacket( ENetPacket* packet_, enet_uint8 channelID_, std::string peerName_, bool autoFlush_ )
 {
 		// are connected peers available?
 	if( peerList.size() == 0 )
 	{
-		std::cout << "ENet_implementation::sendPacket() - ERROR: No connected peer available!" << std::endl;
+		std::cout << "dataIO_clusterENet_implementation::sendPacket() - ERROR: No connected peer available!" << std::endl;
 		return;
 	}
 
 	// Client
-	if(currentRole == ENet_implementation::CLIENT)
+	if(currentRole == dataIO_clusterENet_implementation::CLIENT)
 	{
 		enet_peer_send (peerList[0], channelID_, packet_);
@@ -161,5 +163,5 @@
 
 	// Server
-	if(currentRole == ENet_implementation::SERVER)
+	if(currentRole == dataIO_clusterENet_implementation::SERVER)
 	{
 		int peerID_=-1;
@@ -175,5 +177,5 @@
 			enet_peer_send (peerList[peerID_], channelID_, packet_);
 		else
-			std::cout << "ENet_implementation::sendPacket() - ERROR: Peer #"<<peerID_<<" is not available, only peers 0-"<<(peerList.size()-1)<<" are connected!" << std::endl;
+			std::cout << "dataIO_clusterENet_implementation::sendPacket() - ERROR: Peer #"<<peerID_<<" is not available, only peers 0-"<<(peerList.size()-1)<<" are connected!" << std::endl;
 	}
 
@@ -182,7 +184,7 @@
 }
 
-void ENet_implementation::broadcastPacket( enet_uint8 channelID_, ENetPacket* packet_, bool autoFlush_ )
-{
-	if(currentRole != ENet_implementation::SERVER)
+void dataIO_clusterENet_implementation::broadcastPacket( enet_uint8 channelID_, ENetPacket* packet_, bool autoFlush_ )
+{
+	if(currentRole != dataIO_clusterENet_implementation::SERVER)
 		return;
 
@@ -192,7 +194,7 @@
 }
 
-bool ENet_implementation::connectTo( const char* remoteAddr_, int connectTimeout_ms_, int clientInfo_,  int channelToAlloc_ )
-{
-	if(currentRole != ENet_implementation::CLIENT)
+bool dataIO_clusterENet_implementation::connectTo( const char* remoteAddr_, int connectTimeout_ms_, int clientInfo_,  int channelToAlloc_ )
+{
+	if(currentRole != dataIO_clusterENet_implementation::CLIENT)
 		return false;
 
@@ -235,5 +237,5 @@
 }
 
-void ENet_implementation::onReceivePacket(ENetEvent* event_)
+void dataIO_clusterENet_implementation::onReceivePacket(ENetEvent* event_)
 {
 		std::string datastring;
@@ -250,5 +252,5 @@
 }
 
-void ENet_implementation::onConnect(ENetEvent* event_)
+void dataIO_clusterENet_implementation::onConnect(ENetEvent* event_)
 {
 	/* Get connect remote IP */
@@ -266,5 +268,5 @@
 }
 
-void ENet_implementation::onDisconnect(ENetEvent* event_)
+void dataIO_clusterENet_implementation::onDisconnect(ENetEvent* event_)
 {
 	// remove peer pionter from peerList
@@ -280,5 +282,5 @@
 
 
-	if(currentRole == ENet_implementation::SERVER)
+	if(currentRole == dataIO_clusterENet_implementation::SERVER)
 	{
 		std::cout << "Client " << (char*)event_->peer->data << " disconnected." << std::endl;
@@ -289,5 +291,5 @@
 	}
 
-	if(currentRole == ENet_implementation::CLIENT)
+	if(currentRole == dataIO_clusterENet_implementation::CLIENT)
 	{
 		std::cout << "Server "<< (char*)event_->peer->data<<"disconnected." << std::endl;