Index: /osgVisual/include/cluster/ENET_LICENSE
===================================================================
--- /osgVisual/include/cluster/ENET_LICENSE	(revision 68)
+++ /osgVisual/include/cluster/ENET_LICENSE	(revision 68)
@@ -0,0 +1,7 @@
+Copyright (c) 2002-2010 Lee Salzman
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
Index: /osgVisual/include/cluster/dataIO_clusterENet_implementation.h
===================================================================
--- /osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 67)
+++ /osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 68)
@@ -1,6 +1,19 @@
 #pragma once
-#if _MSC_VER > 1000
-	#pragma warning(disable:4146)
-#endif // _MSC_VER > 1000
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
 
 #include <osg/referenced>
Index: /osgVisual/src/cluster/ENET_LICENSE
===================================================================
--- /osgVisual/src/cluster/ENET_LICENSE	(revision 68)
+++ /osgVisual/src/cluster/ENET_LICENSE	(revision 68)
@@ -0,0 +1,7 @@
+Copyright (c) 2002-2010 Lee Salzman
+
+Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
+
+The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
Index: /osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp
===================================================================
--- /osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 67)
+++ /osgVisual/src/cluster/dataIO_clusterENet_implementation.cpp	(revision 68)
@@ -1,2 +1,18 @@
+/* -*-c++-*- osgVisual - Copyright (C) 2009-2010 Torben Dannhauer
+ *
+ * This library is based on OpenSceneGraph, open source and may be redistributed and/or modified under 
+ * the terms of the OpenSceneGraph Public License (OSGPL) version 0.0 or
+ * (at your option) any later version.  The full license is in LICENSE file
+ * included with this distribution, and on the openscenegraph.org website.
+ *
+ * osgVisual requires for some proprietary modules a license from the correspondig manufacturer.
+ * You have to aquire licenses for all used proprietary modules.
+ * 
+ * This library is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * OpenSceneGraph Public License for more details.
+*/
+
 #include "dataIO_clusterENet_implementation.h"
 
Index: /osgVisual/src/cluster/enet/compress.c
===================================================================
--- /osgVisual/src/cluster/enet/compress.c	(revision 67)
+++ /osgVisual/src/cluster/enet/compress.c	(revision 68)
@@ -1,2 +1,6 @@
+#if _MSC_VER > 1000
+	#pragma warning(disable:4146)
+#endif // _MSC_VER > 1000
+
 /** 
  @file compress.c
Index: /osgVisual/src/core/visual_core.cpp
===================================================================
--- /osgVisual/src/core/visual_core.cpp	(revision 67)
+++ /osgVisual/src/core/visual_core.cpp	(revision 68)
@@ -60,5 +60,5 @@
 
 	// Load terrain
-	loadTerrain(arguments);
+	//loadTerrain(arguments);
 
 	// Show model
@@ -88,4 +88,6 @@
 	// Initialize DataIO interface
 	visual_dataIO::getInstance()->init(viewer, arguments);
+
+	loadTerrain(arguments);
 
 	// All modules are initialized - now check arguments for any unused parameter.