Index: /osgVisual/bin/visual_slave.bat
===================================================================
--- /osgVisual/bin/visual_slave.bat	(revision 74)
+++ /osgVisual/bin/visual_slave.bat	(revision 75)
@@ -1,1 +1,1 @@
-osgVisual.exe --SingleThreaded -C center -s --server localhost 12345 --window 950 450 600 350 D:/OpenSceneGraph/VPB-Testdatensatz/DB_Small/database.ive -p salzburg.path
+osgVisual.exe -C center -s --server 192.168.0.101 12345 --window 950 450 600 350 D:/OpenSceneGraph/VPB-Testdatensatz/DB_Small/database.ive -p salzburg.path
Index: /osgVisual/include/cluster/dataIO_clusterENet.h
===================================================================
--- /osgVisual/include/cluster/dataIO_clusterENet.h	(revision 74)
+++ /osgVisual/include/cluster/dataIO_clusterENet.h	(revision 75)
@@ -21,4 +21,5 @@
 #include <osgDB/ReaderWriter>
 #include <iostream>
+#include <cstdlib>	// Clearscrean console
 
 #include <dataIO_cluster.h>
Index: /osgVisual/include/dataIO/dataIO_transportContainer.h
===================================================================
--- /osgVisual/include/dataIO/dataIO_transportContainer.h	(revision 74)
+++ /osgVisual/include/dataIO/dataIO_transportContainer.h	(revision 75)
@@ -35,13 +35,8 @@
 			frameID(tC_.frameID),
 			viewMatrix(tC_.viewMatrix),
-			eye(tC_.eye),
-			center(tC_.center),
-			up(tC_.up),
 			executer(tC_.executer),
 			ioSlots(tC_.ioSlots){}
 	dataIO_transportContainer(){}
 	virtual ~dataIO_transportContainer(){}
-
-
 
 
@@ -52,5 +47,4 @@
 	int frameID;
 	osg::Matrixd viewMatrix;
-	osg::Vec3d eye, center, up;
 	executerList executer;
 	slotList ioSlots;
@@ -64,13 +58,4 @@
 	const osg::Matrixd& getViewMatrix() const {return viewMatrix;}
 
-	void setEye(const osg::Vec3d& eye_) { eye = eye_; }
-    const osg::Vec3d& getEye() const { return eye; }
-
-	void setCenter(const osg::Vec3d& center_) { center = center_; }
-    const osg::Vec3d& getCenter() const { return center; }
-
-	void setUp(const osg::Vec3d& up_) { up = up_; }
-    const osg::Vec3d& getUp() const { return up; }
-
 	void setExecuter(const executerList& executer_) {executer=executer_;}
 	const executerList& getExecuter() const {return executer;}
@@ -78,5 +63,4 @@
 	void setIOSlots(const slotList& ioSlots_) {ioSlots=ioSlots_;}
 	const slotList& getIOSlots() const {return ioSlots;}
-
 
 
Index: /osgVisual/src/cluster/dataIO_clusterENet.cpp
===================================================================
--- /osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 74)
+++ /osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 75)
@@ -125,10 +125,4 @@
 		sendContainer->setFrameID(viewer->getFrameStamp()->getFrameNumber());
 		sendContainer->setViewMatrix(viewer->getCamera()->getViewMatrix());
-		osg::Vec3d eye, center, up;
-		viewer->getCamera()->getViewMatrixAsLookAt(eye,center,up);
-		sendContainer->setEye(eye);
-		sendContainer->setCenter(center);
-		sendContainer->setUp(up);
-		//std::cout << "sending lookat: eye:"<<eye<<", center:"<<center<<", up:" << up << std::endl;
 
 		// Writing node to stream
@@ -188,6 +182,4 @@
 					// Restore Viewmatrix 
 					viewer->getCamera()->setViewMatrix(sendContainer->getViewMatrix());
-					//viewer->getCamera()->setViewMatrixAsLookAt(sendContainer->getEye(),sendContainer->getCenter(),sendContainer->getUp());
-					//std::cout << "receiving lookat: eye:"<<eye.x()<<", center:"<<center<<", up:" << up << std::endl;
 				}
 				else
Index: /osgVisual/src/core/visual_core.cpp
===================================================================
--- /osgVisual/src/core/visual_core.cpp	(revision 74)
+++ /osgVisual/src/core/visual_core.cpp	(revision 75)
@@ -106,5 +106,4 @@
 		// next frame please....
         viewer->advance();
-		std::cout << "New frame----------------------------" << std::endl;
 
 		/*double hat, hot, lat, lon, height;
Index: /osgVisual/src/dataIO/dataIO_transportContainer.cpp
===================================================================
--- /osgVisual/src/dataIO/dataIO_transportContainer.cpp	(revision 74)
+++ /osgVisual/src/dataIO/dataIO_transportContainer.cpp	(revision 75)
@@ -27,7 +27,4 @@
 	ADD_INT_SERIALIZER( FrameID, 0 );
 	ADD_MATRIXD_SERIALIZER( ViewMatrix, osg::Matrixd() );
-	ADD_VEC3D_SERIALIZER( Eye, osg::Vec3d(-1.0, -1.0, -1.0) );
-	ADD_VEC3D_SERIALIZER( Center, osg::Vec3d(-1.0,-1.0,-1.0) );
-	ADD_VEC3D_SERIALIZER( Up, osg::Vec3d(-1.0,-1.0,-1.0) );
 	ADD_LIST_SERIALIZER( Executer, osgVisual::dataIO_transportContainer::executerList );
 	ADD_LIST_SERIALIZER( IOSlots, osgVisual::dataIO_transportContainer::slotList );
Index: /osgVisual/src/dataIO/visual_dataIO.cpp
===================================================================
--- /osgVisual/src/dataIO/visual_dataIO.cpp	(revision 74)
+++ /osgVisual/src/dataIO/visual_dataIO.cpp	(revision 75)
@@ -82,5 +82,5 @@
 	if(cluster.valid())
 		//cluster->init(arguments_, clusterMode, slotContainer, true, false);
-		cluster->init(arguments_, viewer_, clusterMode, slotContainer, false, true);
+		cluster->init(arguments_, viewer_, clusterMode, slotContainer, false, false);
 
 	// Create extLink.