Index: osgVisual/bin/watzmann.path
===================================================================
--- osgVisual/bin/watzmann.path	(revision 76)
+++ osgVisual/bin/watzmann.path	(revision 76)
@@ -0,0 +1,46 @@
+0.000427299017885928 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.066461357829244 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.133349052291199 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.199860133354506 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.266410351414947 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.332791831274631 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.39841815956667 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.465148985245031 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.531597511271936 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.598498999921405 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.665097978830734 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.732173979992012 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.799193842018058 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.86533408399377 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.932192265310345 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+0.999008743269319 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.06608602761083 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.13253423284268 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.19980656057974 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.26621466642928 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.33345170670991 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.39925511387423 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.46604239948288 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.53273922088504 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.59947132974364 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.66686267244739 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.73253840317844 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.79980142785881 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.86629711075931 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+1.93315176333024 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.00024604980985 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.06708337944762 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.13320758167041 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.20022551892611 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.26634170127243 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.33343887490757 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.40000417033576 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.46657588166512 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.53409105126145 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.60019215624003 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.66866169113531 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.7333111984743 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.80053219900201 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.86705482868742 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+2.93375742440063 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074
+3.00111604600843 4205439.30316196 964499.616532745 4685138.8938753 0.523868183761952 0.737968532214391 0.368849694525826 0.211930352596074