Index: osgVisual/include/cluster/dataIO_clusterENet_implementation.h
===================================================================
--- osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 79)
+++ osgVisual/include/cluster/dataIO_clusterENet_implementation.h	(revision 80)
@@ -53,15 +53,17 @@
 
 	/**
-	 * This enum contains valid roles of this class.
+	 * This enum contains valid roles of this class. In contrast to the dataIO_cluster implementation this class do NOT use MASTER/SLAVE,
+	 * because this class implements an non-abstract DUP connection with SERVER and CLIENT. As soon as osgVisual uses only the convenience
+	 * functions of clusterENet, the roles are called as usual MASTER/SLAVE.
 	 */ 
 	enum role {SERVER, CLIENT};
 
 	/**
-	 * \brief This function initializes this class and allow to use it's service. Call this function as MASTER as well as SLAVE prior to any usage.
+	 * \brief This function initializes this class and allow to use it's service. Call this function as SERVER as well as CLIENT prior to any usage.
 	 * 
-	 * @param role_ : Role to act like (MASTER/SLAVE)
+	 * @param role_ : Role to act like (SERVER/CLIENT)
 	 * @param port_ : Port to use.
-	 * @param maxClients_ : Maximum of allowed connected clients. (Affects only the role MASTER)
-	 * @param maxChannels_ : Maximum of channels per client. (Affects only the role MASTER)
+	 * @param maxClients_ : Maximum of allowed connected clients. (Affects only the role SERVER)
+	 * @param maxChannels_ : Maximum of channels per client. (Affects only the role SERVER)
 	 * @param maxInBandwidth_ : Maximal incoming bandwith in bytes per second [bps]. Set 0 to rely on ENets internal throtteling algorithm.
 	 * @param maxOutBandwidth_ : Maximal outgoing bandwith in bytes per second [bps]. Set 0 to rely on ENets internal throtteling algorithm.
@@ -71,9 +73,9 @@
 
 	/**
-	 * \brief This function connects to a ENet serverat the specified adress. The function affects only the SLAVE role.
+	 * \brief This function connects to a ENet serverat the specified adress. The function affects only the CLIENT role.
 	 * 
 	 * @param remoteAddr_ : Address of the ENet server to connect to.
 	 * @param connectTimeout_ms_ : Connect timeout in milliseconds [ms].
-	 * @param clientInfo_ : Client data to transfer to the MASTER during connect. Usually not required.
+	 * @param clientInfo_ : Client data to transfer to the SERVER during connect. Usually not required.
 	 * @param channelToAlloc_ : Max number of non-concurring channels to open.
 	 * @return : True on successful connect.
@@ -82,10 +84,10 @@
 	
 	/**
-	 * \brief This function send a packet to the peer with the specified peer ID (number of the peer in the peer vector). This function works bidirectional from MASTER to SLAVE and vice versa.
+	 * \brief This function send a packet to the peer with the specified peer ID (number of the peer in the peer vector). This function works bidirectional from SERVER to CLIENT and vice versa.
 	 * 
 	 * @param packet_ : Data packet to broadcast.
 	 * @param channelID_ : ID on which channel the broadcast should be done.
 	 * @param peerID_ : Peer ID to send the packet to.
-	 * @param autoFlush_ : Indicates if the packed should be send immediately after append the packet to the ENets internal send list (like processEvents() with only sending the packet).  This function works bidirectional from MASTER to SLAVE and vice versa.
+	 * @param autoFlush_ : Indicates if the packed should be send immediately after append the packet to the ENets internal send list (like processEvents() with only sending the packet).  This function works bidirectional from SERVER to CLIENT and vice versa.
 	 */ 
 	void sendPacket( ENetPacket* packet_, enet_uint8 channelID_, unsigned int peerID_=0, bool autoFlush_=false );
@@ -102,5 +104,5 @@
 
 	/**
-	 * \brief : This function emulates a UDP broadcast by sending the packet manually to all connected peers. This function works only as MASTER. Calls as SLAVE are ignored. 
+	 * \brief : This function emulates a UDP broadcast by sending the packet manually to all connected peers. This function works only as SERVER. Calls as CLIENT are ignored. 
 	 * 
 	 * @param channelID_ : ID on which channel the broadcast should be done.
@@ -171,5 +173,5 @@
 
 	/**
-	 * Lisst of the ENet remote peers. This list contains only the server during acting as SLAVE (peerList[0]=server), and multiple slave entries during acting as MASTER (peerList[0-n]=client0-n).
+	 * Lisst of the ENet remote peers. This list contains only the server during acting as CLIENT (peerList[0]=server), and multiple slave entries during acting as SERVER (peerList[0-n]=client0-n).
 	 */ 
 	std::vector<ENetPeer*> peerList;
Index: osgVisual/src/cluster/dataIO_clusterENet.cpp
===================================================================
--- osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 79)
+++ osgVisual/src/cluster/dataIO_clusterENet.cpp	(revision 80)
@@ -172,5 +172,5 @@
 		{
 			std::stringstream tmp;
-			tmp << receivedTransportContainer;
+			tmp  << receivedTransportContainer;
 			osgDB::ReaderWriter::ReadResult rr = rw->readObject( tmp, readOptions );
 			if (rr.success())